<?xml version="1.0"?>
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <link:roleRef roleURI="https://www.esma.europa.eu/xbrl/role/all/ias_1_role-210000" xlink:type="simple" xlink:href="touaxsca-2024-12-31.xsd#ias_1_role-210000" />
  <link:roleRef roleURI="https://www.esma.europa.eu/xbrl/role/all/ias_1_role-320000" xlink:type="simple" xlink:href="touaxsca-2024-12-31.xsd#ias_1_role-320000" />
  <link:roleRef roleURI="https://www.esma.europa.eu/xbrl/role/all/ias_1_role-420000" xlink:type="simple" xlink:href="touaxsca-2024-12-31.xsd#ias_1_role-420000" />
  <link:roleRef roleURI="https://www.esma.europa.eu/xbrl/role/all/ias_7_role-520000" xlink:type="simple" xlink:href="touaxsca-2024-12-31.xsd#ias_7_role-520000" />
  <link:roleRef roleURI="https://www.esma.europa.eu/xbrl/role/all/ias_1_role-310000" xlink:type="simple" xlink:href="touaxsca-2024-12-31.xsd#ias_1_role-310000" />
  <link:roleRef roleURI="https://www.esma.europa.eu/xbrl/role/all/ias_1_role-610000" xlink:type="simple" xlink:href="touaxsca-2024-12-31.xsd#ias_1_role-610000" />
  <link:calculationLink xlink:role="https://www.esma.europa.eu/xbrl/role/all/ias_1_role-310000" xlink:type="extended">
    <link:loc xlink:label="loc_-310000_3_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLoss" xlink:type="locator" />
    <link:loc xlink:label="loc_-310000_1_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossAttributableToOwnersOfParent" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="loc_-310000_3_1" xlink:to="loc_-310000_1_1" xlink:type="arc" weight="1" />
    <link:loc xlink:label="loc_-310000_2_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossAttributableToNoncontrollingInterests" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="loc_-310000_3_1" xlink:to="loc_-310000_2_1" xlink:type="arc" weight="1" />
  </link:calculationLink>
  <link:calculationLink xlink:role="https://www.esma.europa.eu/xbrl/role/all/ias_1_role-420000" xlink:type="extended">
    <link:loc xlink:label="loc_-420000_5_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ComprehensiveIncome" xlink:type="locator" />
    <link:loc xlink:label="loc_-420000_7_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLoss" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="loc_-420000_5_1" xlink:to="loc_-420000_7_1" xlink:type="arc" weight="1" />
    <link:loc xlink:label="loc_-420000_9_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncome" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="loc_-420000_5_1" xlink:to="loc_-420000_9_1" xlink:type="arc" weight="1" />
    <link:loc xlink:label="loc_-420000_6_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax" xlink:type="locator" />
    <link:loc xlink:label="loc_-420000_1_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncomeBeforeTaxExchangeDifferencesOnTranslation" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="loc_-420000_6_1" xlink:to="loc_-420000_1_1" xlink:type="arc" weight="1" />
    <link:loc xlink:label="loc_-420000_2_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLoss" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="loc_-420000_6_1" xlink:to="loc_-420000_2_1" xlink:type="arc" weight="-1" />
    <link:loc xlink:label="loc_-420000_4_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncomeBeforeTaxCashFlowHedges" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="loc_-420000_6_1" xlink:to="loc_-420000_4_1" xlink:type="arc" weight="1" />
    <link:loc xlink:label="loc_-420000_8_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax" xlink:type="locator" />
    <link:loc xlink:label="loc_-420000_3_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncomeNetOfTaxChangeInFairValueOfFinancialLiabilityAttributableToChangeInCreditRiskOfLiability" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="loc_-420000_8_1" xlink:to="loc_-420000_3_1" xlink:type="arc" weight="1" />
    <link:loc xlink:label="loc_-420000_6_12" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="loc_-420000_9_1" xlink:to="loc_-420000_6_12" xlink:type="arc" weight="1" />
    <link:loc xlink:label="loc_-420000_8_12" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="loc_-420000_9_1" xlink:to="loc_-420000_8_12" xlink:type="arc" weight="1" />
  </link:calculationLink>
  <link:calculationLink xlink:role="https://www.esma.europa.eu/xbrl/role/all/ias_1_role-210000" xlink:type="extended">
    <link:loc xlink:label="loc_-210000_7_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentAssets" xlink:type="locator" />
    <link:loc xlink:label="loc_-210000_1_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Inventories" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="loc_-210000_7_1" xlink:to="loc_-210000_1_1" xlink:type="arc" weight="1" />
    <link:loc xlink:label="loc_-210000_11_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_TradeAndOtherCurrentReceivables" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="loc_-210000_7_1" xlink:to="loc_-210000_11_1" xlink:type="arc" weight="1" />
    <link:loc xlink:label="loc_-210000_14_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashAndCashEquivalents" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="loc_-210000_7_1" xlink:to="loc_-210000_14_1" xlink:type="arc" weight="1" />
    <link:loc xlink:label="loc_-210000_26_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherCurrentFinancialAssets" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="loc_-210000_7_1" xlink:to="loc_-210000_26_1" xlink:type="arc" weight="1" />
    <link:loc xlink:label="loc_-210000_13_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Equity" xlink:type="locator" />
    <link:loc xlink:label="loc_-210000_2_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncontrollingInterests" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="loc_-210000_13_1" xlink:to="loc_-210000_2_1" xlink:type="arc" weight="1" />
    <link:loc xlink:label="loc_-210000_19_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_EquityAttributableToOwnersOfParent" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="loc_-210000_13_1" xlink:to="loc_-210000_19_1" xlink:type="arc" weight="1" />
    <link:loc xlink:label="loc_-210000_17_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Assets" xlink:type="locator" />
    <link:loc xlink:label="loc_-210000_7_12" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentAssets" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="loc_-210000_17_1" xlink:to="loc_-210000_7_12" xlink:type="arc" weight="1" />
    <link:loc xlink:label="loc_-210000_27_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentAssets" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="loc_-210000_17_1" xlink:to="loc_-210000_27_1" xlink:type="arc" weight="1" />
    <link:loc xlink:label="loc_-210000_10_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_RetainedEarningsProfitLossForReportingPeriod" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="loc_-210000_19_1" xlink:to="loc_-210000_10_1" xlink:type="arc" weight="1" />
    <link:loc xlink:label="loc_-210000_30_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IssuedCapital" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="loc_-210000_19_1" xlink:to="loc_-210000_30_1" xlink:type="arc" weight="1" />
    <link:loc xlink:label="touaxsca_RetainedEarningExcludingProfitLossForReportingPeriod" xlink:href="touaxsca-2024-12-31.xsd#touaxsca_RetainedEarningExcludingProfitLossForReportingPeriod" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="loc_-210000_19_1" xlink:to="touaxsca_RetainedEarningExcludingProfitLossForReportingPeriod" xlink:type="arc" weight="1" />
    <link:loc xlink:label="loc_-210000_21_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentLiabilities" xlink:type="locator" />
    <link:loc xlink:label="loc_-210000_3_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherNoncurrentFinancialLiabilities" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="loc_-210000_21_1" xlink:to="loc_-210000_3_1" xlink:type="arc" weight="1" />
    <link:loc xlink:label="loc_-210000_4_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentLeaseLiabilities" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="loc_-210000_21_1" xlink:to="loc_-210000_4_1" xlink:type="arc" weight="1" />
    <link:loc xlink:label="loc_-210000_5_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentProvisionsForEmployeeBenefits" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="loc_-210000_21_1" xlink:to="loc_-210000_5_1" xlink:type="arc" weight="1" />
    <link:loc xlink:label="loc_-210000_12_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherNoncurrentLiabilities" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="loc_-210000_21_1" xlink:to="loc_-210000_12_1" xlink:type="arc" weight="1" />
    <link:loc xlink:label="loc_-210000_22_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DeferredTaxLiabilities" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="loc_-210000_21_1" xlink:to="loc_-210000_22_1" xlink:type="arc" weight="1" />
    <link:loc xlink:label="loc_-210000_24_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentLiabilities" xlink:type="locator" />
    <link:loc xlink:label="loc_-210000_6_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_TradeAndOtherCurrentPayablesToTradeSuppliers" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="loc_-210000_24_1" xlink:to="loc_-210000_6_1" xlink:type="arc" weight="1" />
    <link:loc xlink:label="loc_-210000_23_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentLeaseLiabilities" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="loc_-210000_24_1" xlink:to="loc_-210000_23_1" xlink:type="arc" weight="1" />
    <link:loc xlink:label="loc_-210000_28_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentBorrowingsAndCurrentPortionOfNoncurrentBorrowings" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="loc_-210000_24_1" xlink:to="loc_-210000_28_1" xlink:type="arc" weight="1" />
    <link:loc xlink:label="loc_-210000_31_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherCurrentLiabilities" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="loc_-210000_24_1" xlink:to="loc_-210000_31_1" xlink:type="arc" weight="1" />
    <link:loc xlink:label="loc_-210000_25_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_EquityAndLiabilities" xlink:type="locator" />
    <link:loc xlink:label="loc_-210000_13_12" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Equity" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="loc_-210000_25_1" xlink:to="loc_-210000_13_12" xlink:type="arc" weight="1" />
    <link:loc xlink:label="loc_-210000_21_12" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentLiabilities" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="loc_-210000_25_1" xlink:to="loc_-210000_21_12" xlink:type="arc" weight="1" />
    <link:loc xlink:label="loc_-210000_24_12" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentLiabilities" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="loc_-210000_25_1" xlink:to="loc_-210000_24_12" xlink:type="arc" weight="1" />
    <link:loc xlink:label="loc_-210000_8_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentFinancialAssets" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="loc_-210000_27_1" xlink:to="loc_-210000_8_1" xlink:type="arc" weight="1" />
    <link:loc xlink:label="loc_-210000_9_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherNoncurrentFinancialAssets" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="loc_-210000_27_1" xlink:to="loc_-210000_9_1" xlink:type="arc" weight="1" />
    <link:loc xlink:label="loc_-210000_15_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IntangibleAssetsOtherThanGoodwill" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="loc_-210000_27_1" xlink:to="loc_-210000_15_1" xlink:type="arc" weight="1" />
    <link:loc xlink:label="loc_-210000_16_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DeferredTaxAssets" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="loc_-210000_27_1" xlink:to="loc_-210000_16_1" xlink:type="arc" weight="1" />
    <link:loc xlink:label="loc_-210000_18_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Goodwill" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="loc_-210000_27_1" xlink:to="loc_-210000_18_1" xlink:type="arc" weight="1" />
    <link:loc xlink:label="loc_-210000_20_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PropertyPlantAndEquipment" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="loc_-210000_27_1" xlink:to="loc_-210000_20_1" xlink:type="arc" weight="1" />
    <link:loc xlink:label="loc_-210000_29_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_RightofuseAssets" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="loc_-210000_27_1" xlink:to="loc_-210000_29_1" xlink:type="arc" weight="1" />
  </link:calculationLink>
  <link:calculationLink xlink:role="https://www.esma.europa.eu/xbrl/role/all/ias_1_role-610000" xlink:type="extended">
    <link:loc xlink:label="loc_-610000_1_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ComprehensiveIncome" xlink:type="locator" />
    <link:loc xlink:label="loc_-610000_2_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="loc_-610000_1_1" xlink:to="loc_-610000_2_1" xlink:type="arc" weight="1" />
    <link:loc xlink:label="loc_-610000_3_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLoss" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="loc_-610000_1_1" xlink:to="loc_-610000_3_1" xlink:type="arc" weight="1" />
    <link:loc xlink:label="loc_-610000_4_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="loc_-610000_1_1" xlink:to="loc_-610000_4_1" xlink:type="arc" weight="1" />
  </link:calculationLink>
  <link:calculationLink xlink:role="https://www.esma.europa.eu/xbrl/role/all/ias_1_role-320000" xlink:type="extended">
    <link:loc xlink:label="loc_-320000_3_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossFromOperatingActivities" xlink:type="locator" />
    <link:loc xlink:label="touaxsca_OtherOperatingIncomeExpenseFromNonOrdinaryActivities" xlink:href="touaxsca-2024-12-31.xsd#touaxsca_OtherOperatingIncomeExpenseFromNonOrdinaryActivities" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="loc_-320000_3_1" xlink:to="touaxsca_OtherOperatingIncomeExpenseFromNonOrdinaryActivities" xlink:type="arc" weight="1" />
    <link:loc xlink:label="touaxsca_ProfitLossFromOrdinaryOperatingActivities" xlink:href="touaxsca-2024-12-31.xsd#touaxsca_ProfitLossFromOrdinaryOperatingActivities" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="loc_-320000_3_1" xlink:to="touaxsca_ProfitLossFromOrdinaryOperatingActivities" xlink:type="arc" weight="1" />
    <link:loc xlink:label="loc_-320000_4_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossBeforeTax" xlink:type="locator" />
    <link:loc xlink:label="loc_-320000_3_12" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossFromOperatingActivities" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="loc_-320000_4_1" xlink:to="loc_-320000_3_12" xlink:type="arc" weight="1" />
    <link:loc xlink:label="loc_-320000_6_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_FinanceIncomeCost" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="loc_-320000_4_1" xlink:to="loc_-320000_6_1" xlink:type="arc" weight="1" />
    <link:loc xlink:label="loc_-320000_13_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherFinanceIncomeCost" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="loc_-320000_6_1" xlink:to="loc_-320000_13_1" xlink:type="arc" weight="1" />
    <link:loc xlink:label="touaxsca_CostOfNetDebt" xlink:href="touaxsca-2024-12-31.xsd#touaxsca_CostOfNetDebt" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="loc_-320000_6_1" xlink:to="touaxsca_CostOfNetDebt" xlink:type="arc" weight="-1" />
    <link:loc xlink:label="loc_-320000_9_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossAttributableToOwnersOfParent" xlink:type="locator" />
    <link:loc xlink:label="loc_-320000_1_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossFromDiscontinuedOperationsAttributableToOrdinaryEquityHoldersOfParentEntity" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="loc_-320000_9_1" xlink:to="loc_-320000_1_1" xlink:type="arc" weight="1" />
    <link:loc xlink:label="loc_-320000_2_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossFromContinuingOperationsAttributableToOrdinaryEquityHoldersOfParentEntity" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="loc_-320000_9_1" xlink:to="loc_-320000_2_1" xlink:type="arc" weight="1" />
    <link:loc xlink:label="loc_-320000_10_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossFromContinuingOperations" xlink:type="locator" />
    <link:loc xlink:label="loc_-320000_4_12" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossBeforeTax" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="loc_-320000_10_1" xlink:to="loc_-320000_4_12" xlink:type="arc" weight="1" />
    <link:loc xlink:label="loc_-320000_5_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncomeTaxExpenseContinuingOperations" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="loc_-320000_10_1" xlink:to="loc_-320000_5_1" xlink:type="arc" weight="-1" />
    <link:loc xlink:label="loc_-320000_11_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLoss" xlink:type="locator" />
    <link:loc xlink:label="loc_-320000_10_12" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossFromContinuingOperations" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="loc_-320000_11_1" xlink:to="loc_-320000_10_12" xlink:type="arc" weight="1" />
    <link:loc xlink:label="loc_-320000_14_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossFromDiscontinuedOperations" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="loc_-320000_11_1" xlink:to="loc_-320000_14_1" xlink:type="arc" weight="1" />
    <link:loc xlink:label="loc_-320000_7_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_InterestIncomeOnCashAndCashEquivalents" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="touaxsca_CostOfNetDebt" xlink:to="loc_-320000_7_1" xlink:type="arc" weight="-1" />
    <link:loc xlink:label="touaxsca_CostOfDebt" xlink:href="touaxsca-2024-12-31.xsd#touaxsca_CostOfDebt" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="touaxsca_CostOfNetDebt" xlink:to="touaxsca_CostOfDebt" xlink:type="arc" weight="1" />
    <link:loc xlink:label="touaxsca_Ebitda" xlink:href="touaxsca-2024-12-31.xsd#touaxsca_Ebitda" xlink:type="locator" />
    <link:loc xlink:label="loc_-320000_8_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_RevenueAndOperatingIncome" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="touaxsca_Ebitda" xlink:to="loc_-320000_8_1" xlink:type="arc" weight="1" />
    <link:loc xlink:label="loc_-320000_12_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_EmployeeBenefitsExpense" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="touaxsca_Ebitda" xlink:to="loc_-320000_12_1" xlink:type="arc" weight="-1" />
    <link:loc xlink:label="touaxsca_NetDistributionsToInvestors" xlink:href="touaxsca-2024-12-31.xsd#touaxsca_NetDistributionsToInvestors" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="touaxsca_Ebitda" xlink:to="touaxsca_NetDistributionsToInvestors" xlink:type="arc" weight="-1" />
    <link:loc xlink:label="touaxsca_OperatingProvisionsReversalOfProvisions" xlink:href="touaxsca-2024-12-31.xsd#touaxsca_OperatingProvisionsReversalOfProvisions" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="touaxsca_Ebitda" xlink:to="touaxsca_OperatingProvisionsReversalOfProvisions" xlink:type="arc" weight="-1" />
    <link:loc xlink:label="touaxsca_OtherOperatingIncomeAndExpenses" xlink:href="touaxsca-2024-12-31.xsd#touaxsca_OtherOperatingIncomeAndExpenses" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="touaxsca_Ebitda" xlink:to="touaxsca_OtherOperatingIncomeAndExpenses" xlink:type="arc" weight="1" />
    <link:loc xlink:label="touaxsca_PurchasesAndOtherExternalExpenses" xlink:href="touaxsca-2024-12-31.xsd#touaxsca_PurchasesAndOtherExternalExpenses" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="touaxsca_Ebitda" xlink:to="touaxsca_PurchasesAndOtherExternalExpenses" xlink:type="arc" weight="-1" />
    <link:loc xlink:label="loc_-320000_15_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="touaxsca_ProfitLossFromOrdinaryOperatingActivities" xlink:to="loc_-320000_15_1" xlink:type="arc" weight="-1" />
    <link:loc xlink:label="touaxsca_Ebitda2" xlink:href="touaxsca-2024-12-31.xsd#touaxsca_Ebitda" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="touaxsca_ProfitLossFromOrdinaryOperatingActivities" xlink:to="touaxsca_Ebitda2" xlink:type="arc" weight="1" />
  </link:calculationLink>
  <link:calculationLink xlink:role="https://www.esma.europa.eu/xbrl/role/all/ias_7_role-520000" xlink:type="extended">
    <link:loc xlink:label="loc_-520000_7_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:type="locator" />
    <link:loc xlink:label="loc_-520000_19_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForIncomeTaxExpense" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="loc_-520000_7_1" xlink:to="loc_-520000_19_1" xlink:type="arc" weight="1" />
    <link:loc xlink:label="touaxsca_AjustementsForInterestExcludingIFRS16" xlink:href="touaxsca-2024-12-31.xsd#touaxsca_AjustementsForInterestExcludingIFRS16" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="loc_-520000_7_1" xlink:to="touaxsca_AjustementsForInterestExcludingIFRS16" xlink:type="arc" weight="1" />
    <link:loc xlink:label="touaxsca_CashFlowsFromUsedInOperationsAfterCostOfNetDebtAndIncomeTaxExpense" xlink:href="touaxsca-2024-12-31.xsd#touaxsca_CashFlowsFromUsedInOperationsAfterCostOfNetDebtAndIncomeTaxExpense" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="loc_-520000_7_1" xlink:to="touaxsca_CashFlowsFromUsedInOperationsAfterCostOfNetDebtAndIncomeTaxExpense" xlink:type="arc" weight="1" />
    <link:loc xlink:label="touaxsca_InterestsPaidOnLeaseAgreement" xlink:href="touaxsca-2024-12-31.xsd#touaxsca_InterestsPaidOnLeaseAgreement" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="loc_-520000_7_1" xlink:to="touaxsca_InterestsPaidOnLeaseAgreement" xlink:type="arc" weight="1" />
    <link:loc xlink:label="loc_-520000_9_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:type="locator" />
    <link:loc xlink:label="touaxsca_CashAdvancesAndLoansMadeRepaidToOtherPartiesClassifiedAsInvestingActivities" xlink:href="touaxsca-2024-12-31.xsd#touaxsca_CashAdvancesAndLoansMadeRepaidToOtherPartiesClassifiedAsInvestingActivities" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="loc_-520000_9_1" xlink:to="touaxsca_CashAdvancesAndLoansMadeRepaidToOtherPartiesClassifiedAsInvestingActivities" xlink:type="arc" weight="1" />
    <link:loc xlink:label="touaxsca_ProceedFromDisposalOfAssetsOtherThanThoseIntendedForLEasing" xlink:href="touaxsca-2024-12-31.xsd#touaxsca_ProceedFromDisposalOfAssetsOtherThanThoseIntendedForLEasing" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="loc_-520000_9_1" xlink:to="touaxsca_ProceedFromDisposalOfAssetsOtherThanThoseIntendedForLEasing" xlink:type="arc" weight="1" />
    <link:loc xlink:label="touaxsca_PurchaseOfPropertyPlantAndEquipmentOtherThanAssetsIntendedForLeasingIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" xlink:href="touaxsca-2024-12-31.xsd#touaxsca_PurchaseOfPropertyPlantAndEquipmentOtherThanAssetsIntendedForLeasingIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="loc_-520000_9_1" xlink:to="touaxsca_PurchaseOfPropertyPlantAndEquipmentOtherThanAssetsIntendedForLeasingIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" xlink:type="arc" weight="-1" />
    <link:loc xlink:label="loc_-520000_11_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:type="locator" />
    <link:loc xlink:label="loc_-520000_5_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="loc_-520000_11_1" xlink:to="loc_-520000_5_1" xlink:type="arc" weight="-1" />
    <link:loc xlink:label="loc_-520000_13_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherInflowsOutflowsOfCashClassifiedAsFinancingActivities" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="loc_-520000_11_1" xlink:to="loc_-520000_13_1" xlink:type="arc" weight="1" />
    <link:loc xlink:label="loc_-520000_14_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DividendsPaidToNoncontrollingInterestsClassifiedAsFinancingActivities" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="loc_-520000_11_1" xlink:to="loc_-520000_14_1" xlink:type="arc" weight="-1" />
    <link:loc xlink:label="loc_-520000_24_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DividendsPaidToEquityHoldersOfParentClassifiedAsFinancingActivities" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="loc_-520000_11_1" xlink:to="loc_-520000_24_1" xlink:type="arc" weight="-1" />
    <link:loc xlink:label="touaxsca_AugmentationDiminutionNetteDesCapitauxPropres" xlink:href="touaxsca-2024-12-31.xsd#touaxsca_AugmentationDiminutionNetteDesCapitauxPropres" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="loc_-520000_11_1" xlink:to="touaxsca_AugmentationDiminutionNetteDesCapitauxPropres" xlink:type="arc" weight="1" />
    <link:loc xlink:label="touaxsca_DisposalAcquisitionNetTreasuryShares" xlink:href="touaxsca-2024-12-31.xsd#touaxsca_DisposalAcquisitionNetTreasuryShares" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="loc_-520000_11_1" xlink:to="touaxsca_DisposalAcquisitionNetTreasuryShares" xlink:type="arc" weight="1" />
    <link:loc xlink:label="touaxsca_InterestPaidOnFinancingActivitiesNonIfrs16" xlink:href="touaxsca-2024-12-31.xsd#touaxsca_InterestPaidOnFinancingActivitiesNonIfrs16" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="loc_-520000_11_1" xlink:to="touaxsca_InterestPaidOnFinancingActivitiesNonIfrs16" xlink:type="arc" weight="-1" />
    <link:loc xlink:label="touaxsca_InterestPaidOnLeaseContracts" xlink:href="touaxsca-2024-12-31.xsd#touaxsca_InterestPaidOnLeaseContracts" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="loc_-520000_11_1" xlink:to="touaxsca_InterestPaidOnLeaseContracts" xlink:type="arc" weight="-1" />
    <link:loc xlink:label="touaxsca_NetChangeInLoansAndAdvances" xlink:href="touaxsca-2024-12-31.xsd#touaxsca_NetChangeInLoansAndAdvances" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="loc_-520000_11_1" xlink:to="touaxsca_NetChangeInLoansAndAdvances" xlink:type="arc" weight="1" />
    <link:loc xlink:label="touaxsca_StatutoryRemunerationOfGeneralPartnersPaid" xlink:href="touaxsca-2024-12-31.xsd#touaxsca_StatutoryRemunerationOfGeneralPartnersPaid" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="loc_-520000_11_1" xlink:to="touaxsca_StatutoryRemunerationOfGeneralPartnersPaid" xlink:type="arc" weight="-1" />
    <link:loc xlink:label="loc_-520000_12_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:type="locator" />
    <link:loc xlink:label="loc_-520000_1_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="loc_-520000_12_1" xlink:to="loc_-520000_1_1" xlink:type="arc" weight="-1" />
    <link:loc xlink:label="loc_-520000_7_12" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="loc_-520000_12_1" xlink:to="loc_-520000_7_12" xlink:type="arc" weight="1" />
    <link:loc xlink:label="touaxsca_ChangeInWorkingCapitalRequirementRelatedToActivityExcludingChangesInInventories" xlink:href="touaxsca-2024-12-31.xsd#touaxsca_ChangeInWorkingCapitalRequirementRelatedToActivityExcludingChangesInInventories" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="loc_-520000_12_1" xlink:to="touaxsca_ChangeInWorkingCapitalRequirementRelatedToActivityExcludingChangesInInventories" xlink:type="arc" weight="-1" />
    <link:loc xlink:label="touaxsca_Subtotal" xlink:href="touaxsca-2024-12-31.xsd#touaxsca_Subtotal" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="loc_-520000_12_1" xlink:to="touaxsca_Subtotal" xlink:type="arc" weight="1" />
    <link:loc xlink:label="loc_-520000_18_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:type="locator" />
    <link:loc xlink:label="loc_-520000_9_12" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="loc_-520000_18_1" xlink:to="loc_-520000_9_12" xlink:type="arc" weight="1" />
    <link:loc xlink:label="loc_-520000_11_12" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="loc_-520000_18_1" xlink:to="loc_-520000_11_12" xlink:type="arc" weight="1" />
    <link:loc xlink:label="loc_-520000_12_12" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="loc_-520000_18_1" xlink:to="loc_-520000_12_12" xlink:type="arc" weight="1" />
    <link:loc xlink:label="loc_-520000_22_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_EffectOfExchangeRateChangesOnCashAndCashEquivalents" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="loc_-520000_18_1" xlink:to="loc_-520000_22_1" xlink:type="arc" weight="1" />
    <link:loc xlink:label="loc_-520000_2_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherAdjustmentsForNoncashItems" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="touaxsca_CashFlowsFromUsedInOperationsAfterCostOfNetDebtAndIncomeTaxExpense" xlink:to="loc_-520000_2_1" xlink:type="arc" weight="1" />
    <link:loc xlink:label="loc_-520000_4_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForLossesGainsOnDisposalOfNoncurrentAssets" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="touaxsca_CashFlowsFromUsedInOperationsAfterCostOfNetDebtAndIncomeTaxExpense" xlink:to="loc_-520000_4_1" xlink:type="arc" weight="1" />
    <link:loc xlink:label="loc_-520000_10_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForDeferredTaxExpense" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="touaxsca_CashFlowsFromUsedInOperationsAfterCostOfNetDebtAndIncomeTaxExpense" xlink:to="loc_-520000_10_1" xlink:type="arc" weight="1" />
    <link:loc xlink:label="loc_-520000_17_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossFromContinuingOperations" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="touaxsca_CashFlowsFromUsedInOperationsAfterCostOfNetDebtAndIncomeTaxExpense" xlink:to="loc_-520000_17_1" xlink:type="arc" weight="1" />
    <link:loc xlink:label="loc_-520000_21_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossFromDiscontinuedOperations" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="touaxsca_CashFlowsFromUsedInOperationsAfterCostOfNetDebtAndIncomeTaxExpense" xlink:to="loc_-520000_21_1" xlink:type="arc" weight="1" />
    <link:loc xlink:label="touaxsca_AdjustmentForDepreciationAndProvisions" xlink:href="touaxsca-2024-12-31.xsd#touaxsca_AdjustmentForDepreciationAndProvisions" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="touaxsca_CashFlowsFromUsedInOperationsAfterCostOfNetDebtAndIncomeTaxExpense" xlink:to="touaxsca_AdjustmentForDepreciationAndProvisions" xlink:type="arc" weight="1" />
    <link:loc xlink:label="touaxsca_ChangeInWorkingCapitalRequirementRelatedToActivityExcludingChangesInInventories1" xlink:href="touaxsca-2024-12-31.xsd#touaxsca_ChangeInWorkingCapitalRequirementRelatedToActivityExcludingChangesInInventories1" xlink:type="locator" />
    <link:loc xlink:label="loc_-520000_6_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInOtherCurrentAssets" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="touaxsca_ChangeInWorkingCapitalRequirementRelatedToActivityExcludingChangesInInventories1" xlink:to="loc_-520000_6_1" xlink:type="arc" weight="1" />
    <link:loc xlink:label="loc_-520000_15_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAndOtherPayables" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="touaxsca_ChangeInWorkingCapitalRequirementRelatedToActivityExcludingChangesInInventories1" xlink:to="loc_-520000_15_1" xlink:type="arc" weight="1" />
    <link:loc xlink:label="loc_-520000_16_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForIncreaseDecreaseInOtherCurrentLiabilities" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="touaxsca_ChangeInWorkingCapitalRequirementRelatedToActivityExcludingChangesInInventories1" xlink:to="loc_-520000_16_1" xlink:type="arc" weight="1" />
    <link:loc xlink:label="loc_-520000_23_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAndOtherReceivables" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="touaxsca_ChangeInWorkingCapitalRequirementRelatedToActivityExcludingChangesInInventories1" xlink:to="loc_-520000_23_1" xlink:type="arc" weight="1" />
    <link:loc xlink:label="loc_-520000_8_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="touaxsca_NetChangeInLoansAndAdvances" xlink:to="loc_-520000_8_1" xlink:type="arc" weight="1" />
    <link:loc xlink:label="loc_-520000_20_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="touaxsca_NetChangeInLoansAndAdvances" xlink:to="loc_-520000_20_1" xlink:type="arc" weight="-1" />
    <link:loc xlink:label="loc_-520000_3_1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInInventories" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="touaxsca_Subtotal" xlink:to="loc_-520000_3_1" xlink:type="arc" weight="1" />
    <link:loc xlink:label="touaxsca_AcquisitionOfAssetsForLeasing" xlink:href="touaxsca-2024-12-31.xsd#touaxsca_AcquisitionOfAssetsForLeasing" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="touaxsca_Subtotal" xlink:to="touaxsca_AcquisitionOfAssetsForLeasing" xlink:type="arc" weight="1" />
    <link:loc xlink:label="touaxsca_AdjustmentsForProceedsFromSaleOfOwnedAssets" xlink:href="touaxsca-2024-12-31.xsd#touaxsca_AdjustmentsForProceedsFromSaleOfOwnedAssets" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="touaxsca_Subtotal" xlink:to="touaxsca_AdjustmentsForProceedsFromSaleOfOwnedAssets" xlink:type="arc" weight="1" />
    <link:loc xlink:label="touaxsca_ChangeInInvestmentWorkingCapitalRequirement" xlink:href="touaxsca-2024-12-31.xsd#touaxsca_ChangeInInvestmentWorkingCapitalRequirement" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="touaxsca_Subtotal" xlink:to="touaxsca_ChangeInInvestmentWorkingCapitalRequirement" xlink:type="arc" weight="1" />
    <link:loc xlink:label="touaxsca_NetImpactOfFinanceLeasingToClients" xlink:href="touaxsca-2024-12-31.xsd#touaxsca_NetImpactOfFinanceLeasingToClients" xlink:type="locator" />
    <link:calculationArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" xlink:from="touaxsca_Subtotal" xlink:to="touaxsca_NetImpactOfFinanceLeasingToClients" xlink:type="arc" weight="1" />
  </link:calculationLink>
</link:linkbase>